# GimpUi.ColorProfileComboBox.new_with_model

    function new_with_model(dialog: Gtk.Widget, model: Gtk.TreeModel): Gtk.Widget {
        // Gjs wrapper for gimp_color_profile_combo_box_new_with_model()
    }

This constructor is useful when you want to create several combo-boxes for profile selection that all share the same GimpUi.ColorProfileStore. This is for example done in the GIMP Preferences dialog.

See also GimpUi.ColorProfileComboBox.new.

Since 2.4

dialog

  a Gtk.Dialog to present when the user selects the "Select color profile from disk..." item

model

  a GimpUi.ColorProfileStore object

Returns

  a new GimpUi.ColorProfileComboBox.